from reactor_code_framework.relay.generic_relay import GenericRelay
#Additional library imports for this type of relay go here.

#Use this template for new types of relays (please rename the class).
class TemplateRelay(GenericRelay):
  #reactor_manager must be an instance of ReactorManager.
  #Take in position (for example, the GPIO pin) of the relay, store it, set up
  #the relay, and call the super function.
  def __init__(self, reactor_manager, PUT_THE_RELAY_POSITION_AS_A_NUMBER_OR_TUPLE):
    #Store data about the position (for example, for PiGPIORelay, store the GPIO pin)

    #Do any setup here (for example, for PiGPIORelay, GPIO.setup...)

    super().__init__(reactor_manager, PUT_A_STRING_REPRESENTING_THE_RELAY_TYPE, PUT_THE_RELAY_POSITION_AS_A_NUMBER_OR_TUPLE)

  #Check that the position and other data are valid. Raise an exception if not.
  def check_parameters(self):
    if not (#add a boolean expression that checks that the position and other data, for example the GPIO pin, are valid):
      raise Exception(#Put a descriptive error string here, preferably one that mentions the relay type, position, and state)

  #Return a string of the relay.
  def __repr__(self):
    return #put a string that describes the relay type, position, and state.

  #This function interacts with the hardware to open or close the relay.
  def set_relay_state(self, state):
    if state == "open":
      #Put code to open the relay here.
    elif state == "close":
      #Put code to close the relay here.