from reactor_code_framework.relay_based_hardware.generic_relay_based_hardware import GenericRelayBasedHardware

#This class is intended to be used with the gas solenoid valves that we use
#for degassing. An instance of one of the GenericRelay subclasses must first be
#created and passed into the GasSolenoid instance when it is created.
class GasSolenoidValve(GenericRelayBasedHardware):
  #Take in an instance of ReactorManager (reactor_manager) and an instance of
  #a subclass of GenericRelay (relay).
  def __init__(self, reactor_manager, relay):
    super().__init__(reactor_manager, "GasSolenoidValve", relay)