import yaml

#write_text_file and read_text_file are modified from 15-112:
#http://www.krivers.net/15112-s19/notes/notes-strings.html

#Given a file path, path, ending in .txt, read the contents of the file and 
#return the contents as a string.
def read_text_file(path):
  with open(path, "rt") as f:
    return f.read()
  
#Given a file path, path, and a string, contents, write the string contents
#into a file at the given file path.
def write_text_file(path, contents):
  with open(path, "wt") as f:
    f.write(contents)

loaded_data = yaml.safe_load(read_text_file("C:\\Users\\akuba\\OneDrive\\Desktop\\Beckman Research\\New Reactor Code\\examples\\yaml_example\\example.yaml"))

print(loaded_data)