from reactor_code_framework.relay_based_hardware.generic_relay_based_hardware import GenericRelayBasedHardware

#This class is intended to be used with single or strips of lights that
#interface with the Raspberry pi via a relay. An instance of one of the
#GenericRelay subclasses must first be created and passed into the Lights 
#instance when it is created.
class Lights(GenericRelayBasedHardware):
  #Take in a ReactorManager instance as reactor_manager and a GenericRelay
  #subclass instance as relay.
  def __init__(self, reactor_manager, relay):
    super().__init__(reactor_manager, "Lights", relay)