from reactor_code_framework.relay_based_hardware.generic_relay_based_hardware import GenericRelayBasedHardware

#This class is intended to be used with stir plates. An instance of one of the
#GenericRelay subclasses must first be created and passed into the StirPlate 
#instance when it is created.
class StirPlate(GenericRelayBasedHardware):
  def __init__(self, reactor_manager, relay):
    super().__init__(reactor_manager, "StirPlate", relay)